Draft Clone/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(6 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Draft_PointArray|Point Array]]
|[[Draft_Drawing|Drawing]]
|[[Draft_Module|Draft]]
|IconL=Draft_PointArray.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Drawing.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft Clone|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Clonar|Ver también=[[Draft Scale/es|Escalar]]}}
{{GuiCommand/es|Name=Draft Clone|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Clonar|Ver también=[[Draft Scale/es|Escalar]]}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 10: Line 21:
</div>
</div>


The Clone tool can be used on 2D shapes created with the [[Draft Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part]], [[PartDesign Workbench|PartDesign]], or [[Arch Workbench]]es.
The Clone tool can be used on 2D shapes created with the [[Draft Workbench|Draft Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part]], [[PartDesign Workbench|PartDesign]], or [[Arch Workbench|Arch Workbench]]es.


To create simple copies, that are completely independent from an original object, use [[Draft Move]], [[Draft Rotate]], and [[Draft Scale]]. To position copies in an orthogonal array use [[Draft Array]]; to position copies along a path use [[Draft PathArray]]; to position copies at specified points use [[Draft PointArray]].
To create simple copies, that are completely independent from an original object, use [[Draft Move|Draft Move]], [[Draft Rotate|Draft Rotate]], and [[Draft Scale|Draft Scale]]. To position copies in an orthogonal array use [[Draft Array|Draft Array]]; to position copies along a path use [[Draft PathArray|Draft PathArray]]; to position copies at specified points use [[Draft PointArray|Draft PointArray]].


[[Image:Draft_Clone_example.jpg|400px]]
[[Image:Draft_Clone_example.jpg|400px]]
Line 18: Line 29:
[[Image:Draft_Clone_example.jpg|400px]]
[[Image:Draft_Clone_example.jpg|400px]]
</div>
</div>

==Usage==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 26: Line 39:
</div>
</div>


Depending on its options, the {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale]]}} tool also creates a clone at a specified scale.
Depending on its options, the {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale|Draft Scale]]}} tool also creates a clone at a specified scale.


Clones of 2D objects created with the [[Draft Workbench|Draft]] or [[Sketcher Workbench]]es will also be 2D objects, and therefore can be used as such for the [[PartDesign Workbench]].
Clones of 2D objects created with the [[Draft Workbench|Draft]] or [[Sketcher Workbench|Sketcher Workbench]]es will also be 2D objects, and therefore can be used as such for the [[PartDesign Workbench|PartDesign Workbench]].


All [[Arch Workbench]] objects have the possibility to behave as clones by using their {{PropertyData|CloneOf}} property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.
All [[Arch Workbench|Arch Workbench]] objects have the possibility to behave as clones by using their {{PropertyData|CloneOf}} property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.


===Limitations ===
===Limitations ===
Line 51: Line 64:
</div>
</div>


The Clone tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Clone tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
cloned_object = clone(obj, delta=None, forcedraft=False)
cloned_object = clone(obj, delta=None, forcedraft=False)
Line 65: Line 79:


Ejemplo:
Ejemplo:

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD, Draft
Line 80: Line 95:
}}
}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_PointArray|Point Array]]
{{Userdocnavi}}
|[[Draft_Drawing|Drawing]]
|[[Draft_Module|Draft]]
|IconL=Draft_PointArray.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Drawing.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 17:53, 21 February 2020

Draft Clone

Ubicación en el Menú
Boceto → Clonar
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Description

Descripción

Esta herramienta crea un clon (una copia que está paramétricamente vinculada al objeto original) de un objeto seleccionado. Si el objeto original cambia, el clon también cambia, pero mantiene su posición, rotación y escala.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Usage

Utilización

  1. Selecciona los objetos que quieres clonar
  2. Presiona el botón Clonar

Depending on its options, the Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DatosCloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

There are no options for this tool. Either it works with the selected objects or not.

Propiedades

  • DatosScale: Especifica un factor de escala para el clon
  • El resultado de la herramienta Escalar también es un clon

Archivos de guión

La herramienta Clonar se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crea un clon de un o más objetos dados.
  • El clon es una copia exacta vinculada al objeto dado.
  • Si el objeto original cambia, el objeto final también cambia. Opcionalmente, puedes indicar un vector delta para mover el clon desde su posición original.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Ejemplo:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()